A flow's SMS steps over 30 days: sent, delivered, clicks, opt-outs, skipped and cost
GET
/api/v1/workspaces/{workspace}/automations/{id}/sms-stats
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/automations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sms-stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/automations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sms-stats';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/automations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sms-stats \ --header 'Authorization: Bearer <token>'Permission: automations:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
id
required
string format: uuid
Responses
Section titled “Responses”OK
Media typeapplication/json
object
days
required
integer format: int64
steps
required
Array<object>
object
clicks
required
integer format: int64
cost
required
number format: double
delivered
required
integer format: int64
firstAt
string format: date-time
lastAt
string format: date-time
nodeId
required
string
optOuts
required
integer format: int64
sent
required
integer format: int64
skipped
required
integer format: int64
skippedBy
required
object
key
additional properties
integer format: int64
skippedIn
required
object
key
additional properties
integer format: int64
waiting
required
integer format: int64
Example generated
{ "days": 1, "steps": [ { "clicks": 1, "cost": 1, "delivered": 1, "firstAt": "2026-04-15T12:00:00Z", "lastAt": "2026-04-15T12:00:00Z", "nodeId": "example", "optOuts": 1, "sent": 1, "skipped": 1, "skippedBy": { "additionalProperty": 1 }, "skippedIn": { "additionalProperty": 1 }, "waiting": 1 } ]}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}